// 支持的图片格式
const SUPPORT_IMAGE_FORMAT = new Set(['png', 'jpg', 'jpeg', 'gif', 'bmp', 'webp'])
// 支持的视频格式
const SUPPORT_VIDEO_FORMAT = new Set(['mp4', 'avi', 'mov', 'rmvb', 'rm', 'flv', '3gp', 'wmv', 'mkv'])
// 支持的音频格式
const SUPPORT_AUDIO_FORMAT = new Set(['mp3', 'wav', 'wma', 'ogg', 'ape', 'acc', 'flac'])
// 支持的文件格式汇总
const SUPPORT_FILE_FORMAT = new Set(
  [
    'pdf',
    ...SUPPORT_IMAGE_FORMAT,
    ...SUPPORT_VIDEO_FORMAT,
    ...SUPPORT_AUDIO_FORMAT
  ])

export {
  SUPPORT_FILE_FORMAT
}
